# Uses of Class
org.springframework.beans.factory.config.ConstructorArgumentValues

Packages that use ConstructorArgumentValues
Package
Description
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of ConstructorArgumentValues in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config that return ConstructorArgumentValues
Modifier and Type
Method
Description
`ConstructorArgumentValues`
BeanDefinition.`getConstructorArgumentValues()`
Return the constructor argument values for this bean.
Methods in org.springframework.beans.factory.config with parameters of type ConstructorArgumentValues
Modifier and Type
Method
Description
`void`
ConstructorArgumentValues.`addArgumentValues(ConstructorArgumentValues other)`
Copy all given argument values into this object, using separate holder instances to keep the values independent of the original object.
Constructors in org.springframework.beans.factory.config with parameters of type ConstructorArgumentValues
Modifier
Constructor
Description
``
`ConstructorArgumentValues(ConstructorArgumentValues original)`
Deep copy constructor.

## Uses of ConstructorArgumentValues in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return ConstructorArgumentValues
Modifier and Type
Method
Description
`ConstructorArgumentValues`
AbstractBeanDefinition.`getConstructorArgumentValues()`
Return the constructor argument values for this bean.
Methods in org.springframework.beans.factory.support with parameters of type ConstructorArgumentValues
Modifier and Type
Method
Description
`void`
AbstractBeanDefinition.`setConstructorArgumentValues(ConstructorArgumentValues constructorArgumentValues)`
Specify constructor argument values for this bean.
Constructors in org.springframework.beans.factory.support with parameters of type ConstructorArgumentValues
Modifier
Constructor
Description
`protected`
`AbstractBeanDefinition(ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new AbstractBeanDefinition with the given constructor argument values and property values.
``
`ChildBeanDefinition(String parentName, Class<?> beanClass, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new ChildBeanDefinition for the given parent, providing constructor arguments and property values.
``
`ChildBeanDefinition(String parentName, String beanClassName, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new ChildBeanDefinition for the given parent, providing constructor arguments and property values.
``
`ChildBeanDefinition(String parentName, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new ChildBeanDefinition for the given parent.
``
`RootBeanDefinition(Class<?> beanClass, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new RootBeanDefinition for a singleton, providing constructor arguments and property values.
``
`RootBeanDefinition(String beanClassName, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new RootBeanDefinition for a singleton, providing constructor arguments and property values.